Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst]emerge calibre-0.8.45 failed
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3116
Location: Berlin

PostPosted: Mon Apr 02, 2012 6:21 pm    Post subject: [gelöst]emerge calibre-0.8.45 failed Reply with quote

Code:
>>> Source compiled.
>>> Test phase [not enabled]: app-text/calibre-0.8.45

>>> Install calibre-0.8.45 into /var/tmp/portage/app-text/calibre-0.8.45/image/ category app-text
python2.7 setup.py install --root=/var/tmp/portage/app-text/calibre-0.8.45/image/ --no-compile --prefix=/usr --libdir=/usr/lib64 --staging-root=/var/tmp/portage/app-text/calibre-0.8.45/image/usr --staging-libdir=/var/tmp/portage/app-text/calibre-0.8.45/image/usr/lib64

*
* Running build
*

--no-compile specified, skipping compilation

*
* Running gui
*

        Compiling form /var/tmp/portage/app-text/calibre-0.8.45/work/calibre/src/calibre/gui2/filename_pattern.ui
/var/tmp/portage/app-text/calibre-0.8.45/temp/environment: Zeile 1244:  9591 Speicherzugriffsfehler  "$(PYTHON)" "${setup_file#*|}" "${_DISTUTILS_GLOBAL_OPTIONS[@]}" install --root="${D}" --no-compile "$@"
 * ERROR: app-text/calibre-0.8.45 failed (install phase):
 *   Installation failed
 *
 * Call stack:
 *     ebuild.sh, line   85:  Called src_install
 *   environment, line 4991:  Called distutils_src_install '--prefix=/usr' '--libdir=/usr/lib64' '--staging-root=/var/tmp/portage/app-text/calibre-0.8.45/image/usr' '--staging-libdir=/var/tmp/portage/app-text/calibre-0.8.45/image/usr/lib64'
 *   environment, line 1248:  Called die
 * The specific snippet of code:
 *               "$(PYTHON)" "${setup_file#*|}" "${_DISTUTILS_GLOBAL_OPTIONS[@]}" install --root="${D}" --no-compile "$@" || die "Installation failed";
 *
 * If you need support, post the output of 'emerge --info =app-text/calibre-0.8.45',
 * the complete build log and the output of 'emerge -pqv =app-text/calibre-0.8.45'.
 * The complete build log is located at '/var/tmp/portage/app-text/calibre-0.8.45/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-text/calibre-0.8.45/temp/environment'.
 * S: '/var/tmp/portage/app-text/calibre-0.8.45/work/calibre'

>>> Failed to emerge app-text/calibre-0.8.45, Log file:

>>>  '/var/tmp/portage/app-text/calibre-0.8.45/temp/build.log'

 * Messages for package app-text/calibre-0.8.45:

 * ERROR: app-text/calibre-0.8.45 failed (install phase):
 *   Installation failed
 *
 * Call stack:
 *     ebuild.sh, line   85:  Called src_install
 *   environment, line 4991:  Called distutils_src_install '--prefix=/usr' '--libdir=/usr/lib64' '--staging-root=/var/tmp/portage/app-text/calibre-0.8.45/image/usr' '--staging-libdir=/var/tmp/portage/app-text/calibre-0.8.45/image/usr/lib64'
 *   environment, line 1248:  Called die
 * The specific snippet of code:
 *               "$(PYTHON)" "${setup_file#*|}" "${_DISTUTILS_GLOBAL_OPTIONS[@]}" install --root="${D}" --no-compile "$@" || die "Installation failed";


Last edited by flammenflitzer on Tue Apr 03, 2012 8:46 am; edited 1 time in total
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Mon Apr 02, 2012 7:48 pm    Post subject: Reply with quote

Ist etwas wenig Info.
Da es ein SegFault in python ist, könntest du mal mit eselect python schauen, welche Version gesetzt ist (2.7?). python-updater ist auch ein guter Anlaufpunkt.
Wenns nicht hilft, brauchen wir das gesamte build.log.
Back to top
View user's profile Send private message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3116
Location: Berlin

PostPosted: Mon Apr 02, 2012 7:53 pm    Post subject: Reply with quote

Code:
eselect python show
python2.7
Code:
flammenflitzer olaf # eselect python list
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.1
  [3]   python3.2
Code:
/usr/sbin/python-updater
habe ich schon durchlaufen lassen.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Tue Apr 03, 2012 7:32 am    Post subject: Reply with quote

Bitte das nächste mal selber zuerst auf bugs.gentoo.org suchen:
https://bugs.gentoo.org/show_bug.cgi?id=345331
Alle Pakete neubauen, die dir folgender Befehl liefert:
Code:
equery d sip PyQt4

Danach klappts mit calibre.
Back to top
View user's profile Send private message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3116
Location: Berlin

PostPosted: Tue Apr 03, 2012 8:45 am    Post subject: Reply with quote

Habe nur gesucht nach "calibre-0.8.45"
Mein Fehler. Danke
Code:
emerge -1 PyQt4 pykde4 calibre -pv
Code:
[ebuild   R   ~] dev-python/PyQt4-4.9.1  USE="X dbus declarative kde opengl phonon sql svg webkit -assistant -debug -doc -examples -multimedia -xmlpatterns" 9,514 kB
[ebuild     U ~] app-text/calibre-0.8.45 [0.8.44] USE="udisks" 23,847 kB
[ebuild   R   ~] kde-base/pykde4-4.8.1  USE="semantic-desktop (-aqua) -debug -doc -examples" 1,937 kB
Code:

emerge =dev-python/PyQt4-4.9.1 =kde-base/pykde4-4.8.1

Danke
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum